# Created by pyp2rpm-3.3.2
%global pypi_name keras-preprocessing

Name:           python3-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Easy data preprocessing and data augmentation for deep learning models

License:        MIT
URL:            https://github.com/keras-team/keras-preprocessing
Source0:        https://github.com/keras-team/keras-preprocessing/archive/%{pypi_name}-%{version}.tar.gz
#Source0:        https://files.pythonhosted.org/packages/source/K/%{pypi_name}/keras-preprocessing-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python-rpm-macros
BuildRequires:  python3-rpm-macros

Requires:       python3dist(keras) >= 2.1.6
Requires:       python3dist(numpy) >= 1.9.1
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-cov)
Requires:       python3dist(pytest-pep8)
Requires:       python3dist(pytest-xdist)
Requires:       python3dist(scipy) >= 0.14
Requires:       python3dist(six) >= 1.9.0
Obsoletes:      python3-Keras-Preprocessing < %{version}

%description
Keras Preprocessing is the data preprocessing and data augmentation module of
the Keras deep learning library. It provides utilities for working with image
data, text data, and sequence data.Read the documentation at: Preprocessing may
be imported directly from an up-to-date installation of Keras: from keras
import preprocessing Keras Preprocessing is compatible with Python 2.7-3.6 and
is...

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%{python3_sitelib}/keras_preprocessing
%{python3_sitelib}/Keras_Preprocessing-%{version}-py?.?.egg-info

%changelog
* Mon Mar 16 2020 Yupeng Chang <ypchang@ambarella.com> - 1.1.0-1
- Update to 1.1.0

* Wed May 29 2019 Yupeng Chang <ypchang@ambarella.com> - 1.0.9-1
- Update to 1.0.9

* Fri Aug 31 2018 Grace Petegorsky <grace.petegorsky@yale.edu> - 1.0.2-1
- Downgrade to 1.0.2 for python3-Keras

* Fri Aug 31 2018 Grace Petegorsky <grace.petegorsky@yale.edu> - 1.0.3-1
- Initial package.
